Firefox 52 将停止支持所有 NPAPI 插件 Flash 除外

局长
 局长
发布于 2017年02月07日
收藏 1

计划于 3 月 7 日发布的 Firefox 52 将停止支持所有 NPAPI 插件,但最流行的插件 Flash 除外。NPAPI 代表 Netscape Plugins API,最早是 Firefox 的前辈 Netscape 开发的,后来成为其它浏览器共同支持的插件标准。

随着 Web 的演化,互联网标准组织逐渐开发出了独立的 Web API 在无需安装插件的情况下支持绝大部分插件所提供的特性。Mozilla 是在 2014 年宣布 Firefox 将逐步停止支持 NPAPI 插件。旧的 NPAPI 插件能在 Firefox ESR (扩展支持版本) 52 上继续工作,但 ESR 53 之后将不再支持。这一改变不会影响到扩展,但随着 Firefox 的扩展技术切换到 WebExtensions,众多的扩展也将停止工作,已有许多流行的扩展宣布停止更新。

来自:Solidot奇客

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Firefox 52 将停止支持所有 NPAPI 插件 Flash 除外
加载中

最新评论(5

RobertLu
RobertLu
看了一下,macOS下的工商、中行都是NPAPI,这样就没法在Firefox中使用网银了。Mozilla对PPAPI又没有兴趣。

只能看国内银行对WebExtension有没有兴趣了。
任意球
任意球
国内的视频网站死一大片
CasparLi
CasparLi
不要留后门啦. 直接把flash也禁了啊
__JM_Joy__
__JM_Joy__
那么FlashGot还能用吗?
阿信sxq
阿信sxq
新的扩展是怎么个情况,举个例子呗
返回顶部
顶部